Subject: Re: [PATCH] Phonet: sockets list through proc_fs

From: Marcel Holtmann <[email-masked]>
Date: Mon, 20 Jul 2009 15:00:40 +0200

Hi Remi,

> > > > On Monday 20 July 2009 13:21:01 ext Marcel Holtmann wrote:
> > > >> > It's just like most network protocols exposing their sockets list in
> > > >> > /proc/net. Debugging/monitoring indeed.
> > > >>
> > > >> I think that for new protocols, we should not do this anymore and just
> > > >> use debugfs. Since that is exactly its job.
> > > >
> > > > Requiring debugfs for something like 'netstat' sounds restrictive to
> > > > me...
> > >
> > > Me too.
> >
> > hold on, what has netstat to do with Phonet support?
> 
> First, I said "*like* netstat". Second, *net*stat has at least as much to do 
> with Pho*net* than it has with Unix sockets. I'm interested in monitoring 
> userland usage of Phonet sockets, not so much in debugging the kernel-mode 
> Phonet stack. I am not convinced that debugfs is the right tool at all here - 
> regardless whether we extend netstat or write a Phonet-specific tool.

in the end it is up to Dave, however I would put these things into
debugfs. Note that even something like mac80211 still provides a
wireless file here while most debugging is nowaydays in debugfs and it
might be better removed.

Regards

Marcel